package com.qxgmat.dto.admin.response;

import com.nuliji.tools.annotation.Dto;
import com.qxgmat.data.dao.entity.UserAskQuestion;
import com.qxgmat.dto.admin.extend.*;

import java.util.Collection;

@Dto(entity = UserAskQuestion.class)
public class UserAskDetailDto {

    private Integer id;

    private QuestionExtendDto question;

    private QuestionNoExtendDto questionNo;

    private Collection<QuestionNoExtendDto> questionNos;

    private Collection<UserAskExtendDto> others;

    private UserExtendDto user;

    private ManagerExtendDto manager;

    private String target;

    private String content;

    private String answer;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public QuestionExtendDto getQuestion() {
        return question;
    }

    public void setQuestion(QuestionExtendDto question) {
        this.question = question;
    }

    public UserExtendDto getUser() {
        return user;
    }

    public void setUser(UserExtendDto user) {
        this.user = user;
    }

    public ManagerExtendDto getManager() {
        return manager;
    }

    public void setManager(ManagerExtendDto manager) {
        this.manager = manager;
    }

    public QuestionNoExtendDto getQuestionNo() {
        return questionNo;
    }

    public void setQuestionNo(QuestionNoExtendDto questionNo) {
        this.questionNo = questionNo;
    }

    public Collection<QuestionNoExtendDto> getQuestionNos() {
        return questionNos;
    }

    public void setQuestionNos(Collection<QuestionNoExtendDto> questionNos) {
        this.questionNos = questionNos;
    }

    public Collection<UserAskExtendDto> getOthers() {
        return others;
    }

    public void setOthers(Collection<UserAskExtendDto> others) {
        this.others = others;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getAnswer() {
        return answer;
    }

    public void setAnswer(String answer) {
        this.answer = answer;
    }

    public String getTarget() {
        return target;
    }

    public void setTarget(String target) {
        this.target = target;
    }
}
